Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.Element

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.IRepositoryProtector.Element

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Direct Known Subclasses:
  `IRepositoryProtector.AuthorizationStrategy`, `IRepositoryProtector.CommitHandler`, `IRepositoryProtector.RevisionAuthorizer`, `IRepositoryProtector.UserAuthenticator`

Enclosing interface:
  IRepositoryProtector

public static class IRepositoryProtector.Element extends org.eclipse.net4j.util.lifecycle.Lifecycle implements org.eclipse.net4j.util.container.IManagedContainerProvider

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkRepositoryProtector()`
`protected void`
`doBeforeActivate()`
`final org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`final IRepositoryProtector`
`getRepositoryProtector()`
`final void`
`setRepositoryProtector(IRepositoryProtector repositoryProtector)`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getContainer

public final org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

### getRepositoryProtector

public final IRepositoryProtector getRepositoryProtector()

### setRepositoryProtector

public final void setRepositoryProtector(IRepositoryProtector repositoryProtector)

### doBeforeActivate

protected void doBeforeActivate() throws Exception

Overrides:
  `doBeforeActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
Throws:
  `Exception`

### checkRepositoryProtector

protected boolean checkRepositoryProtector()